@echo == MoveRecoveryPartition-UEFI -- by tim ==
@rem *********************************************************************
@echo ********************************************************************
@echo  This program is only applicable to this kind of partition: The first hard disk (disk 0), Partition 1: EFI Partition, Partition 2: System reserved Partition, Partition 3: OS Partition, Partition 4: Recovery partition, Partition 5: Unallocated partition, if your partition situation is different, please change it by yourself.
@echo  This program can only be run once in the same operating system! If you run it more than twice, the Recovery Partition may be unavailable, and it needs to be fix manually.
@echo  If you need help, please contact tim.
@echo  本程序只适用于这种分区： 第1个硬盘 (disk 0)，分区1：EFI, 分区2： 系统预留, 分区3： 系统分区, 分区4：恢复分区, 分区5：未分配分区，如果你的分区情况不一样，请自行更改。
@echo  本程序在同一个操作系统内只能运行一次! 如果运行两次以上，可能会造成 Recovery Partition 不可用，此时需要手动修复.
@echo  如果你需要帮助，请联系tim.
@echo ********************************************************************
pause
@echo  == Open the Recovery partition ==
diskpart /s OpenRecoveryPartitions-UEFI.txt
@echo ********************************************************************
@echo  == Backup Recovery partition ==
Dism /Capture-Image /ImageFile:C:\Users\Administrator\Downloads\recovery-partition.wim /CaptureDir:O:\ /Name:"Recovery"
@echo ********************************************************************
@echo  == Delete the Old Recovery partition and Create Recovery partition ==
diskpart /s CreateRecoveryPartitions-UEFI.txt
@echo ********************************************************************
@echo  == Apply Recovery partition ==
Dism /Apply-Image /ImageFile:C:\Users\Administrator\Downloads\recovery-partition.wim /Index:1 /ApplyDir:R:\
@echo  *******************************************************************
@echo  == Register the location of the recovery tools ==
C:\Windows\System32\Reagentc /Setreimage /Path R:\Recovery\WindowsRE /Target C:\Windows
C:\Windows\System32\Reagentc /enable /auditmode
@echo ********************************************************************
@echo  == Hide Recovery partition ==
diskpart /s HideRecoveryPartitions-UEFI.txt
@echo  *******************************************************************
@echo == Verify the configuration status of the images. ==
C:\Windows\System32\Reagentc /Info /Target C:\Windows
@echo    (Note: Windows RE status may appear as Disabled, this is OK.)
@echo ********************************************************************
@echo  == Delete recovery-partition.wim ==
@rem  DEL C:\Users\Administrator\Downloads\recovery-partition.wim
@echo  *******************************************************************
@echo      All done!
@echo      Please check the partition after reboot.
@echo      If you need help, please contact tim.
@echo  *******************************************************************
start diskmgmt

pause
